package app.scanfood.tfm.scanfood.scanner

import android.content.Context
import app.scanfood.tfm.scanfood.helpers.LifecycleProvider
import io.flutter.plugin.common.BinaryMessenger
import io.flutter.plugin.common.StandardMessageCodec
import io.flutter.plugin.platform.PlatformView
import io.flutter.plugin.platform.PlatformViewFactory

class NativeScannerViewFactory(
    private val lifecycleProvider: LifecycleProvider,
    private val binaryMessenger: BinaryMessenger): PlatformViewFactory(StandardMessageCodec.INSTANCE) {
    override fun create(context: Context, viewId: Int, args: Any?): PlatformView {
        val creationParams = args as Map<String?, Any?>?
        return NativeScannerView(context, viewId, creationParams, lifecycleProvider, binaryMessenger)
    }
}