part of 'list_cubit.dart';

class ListState extends Equatable {
  final bool loading;
  final bool userHasSearched;
  final Set<Product> products;
  final Set<Allergens> disabledAllergens;

  ListState({
    required this.products,
    required this.userHasSearched,
    required this.disabledAllergens,
    required this.loading,
  });

  @override
  List<Object> get props => [
        products,
        userHasSearched,
        disabledAllergens,
        loading,
      ];
}
