import 'package:injectable/injectable.dart';
import 'package:scanfood/domain/repository/onboarding_status_repository.dart';

@injectable
class OnboardingNotifierService {
  final OnboardingStatusRepository _onboardingStatusRepository;

  OnboardingNotifierService(this._onboardingStatusRepository);

  Future<void> execute() async => _onboardingStatusRepository.onboardShowed();
}
