import 'dart:io';

import 'package:injectable/injectable.dart';
import 'package:scanfood/domain/service/check_platform_device.dart';

@Injectable(as: CheckPlatformDevice)
class FlutterCheckPlatformDevice extends CheckPlatformDevice {
  @override
  bool get isAndroid => Platform.isAndroid;

  @override
  bool get isIos => Platform.isIOS;
}
