import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:scanfood/application.dart';
import 'package:scanfood/injection.dart';

void main() async {
  WidgetsFlutterBinding.ensureInitialized();

  configureDependencies();

  await SystemChrome.setPreferredOrientations([
    DeviceOrientation.portraitUp,
    DeviceOrientation.portraitDown,
  ]);

  runApp(const ScanFood());
}
