import 'package:flutter/cupertino.dart';
import 'package:scanfood/domain/model/objects/product.dart';
import 'package:scanfood/ui/theme/app_theme.dart';

mixin NutritionLevelToColor {
  Color nutritionLevelToColor(NutrientLevel nutrientLevels) {
    switch (nutrientLevels) {
      case NutrientLevel.unknown:
        return AppTheme.undefinedLevel;
      case NutrientLevel.low:
        return AppTheme.lowLevel;
      case NutrientLevel.medium:
        return AppTheme.mediumLevel;
      case NutrientLevel.high:
        return AppTheme.highLevel;
    }
  }
}
