//
//  NativeScannerStream.swift
//  Runner
//
//  Created by Sergio Durban Belmonte on 29/11/21.
//

import Foundation

class NativeScannerStream: NSObject, FlutterStreamHandler {
    private var eventSink: FlutterEventSink?
    
    func onListen(withArguments arguments: Any?, eventSink events: @escaping FlutterEventSink) -> FlutterError? {
        self.eventSink = events
        
        return nil
    }
    
    func onCancel(withArguments arguments: Any?) -> FlutterError? {
        self.eventSink = nil
        
        return nil
    }
    
    func sendBarcode(_ barcode: String) {
        eventSink?(barcode)
    }
}
