part of 'camera_bloc.dart';

abstract class CameraEvent extends Equatable {
  const CameraEvent();
}

class CameraReady extends CameraEvent {
  @override
  List<Object?> get props => [];
}

class _CameraBarcodeFound extends CameraEvent {
  final Barcode barcode;

  _CameraBarcodeFound({required this.barcode});

  @override
  List<Object?> get props => [barcode];
}

class CameraClear extends CameraEvent {
  const CameraClear();

  @override
  List<Object?> get props => [];
}

class ReloadCamera extends CameraEvent {
  const ReloadCamera();

  @override
  List<Object?> get props => [];

  @override
  bool operator ==(Object other) => false;

  @override
  int get hashCode => super.hashCode;
}
