import 'package:scanfood/domain/model/objects/product.dart';
import 'package:scanfood/domain/model/value_objects/barcode.dart';

abstract class ProductRepository {
  Future<Product> findProductByBarcode(Barcode barcode);
  Future<List<Product>> getAll();
  Future<List<Product>> searchByText(String text);
}
