import 'package:hive/hive.dart';
import 'package:scanfood/domain/model/value_objects/barcode.dart';

part 'hive_barcode.g.dart';

@HiveType(typeId: 100)
class HiveBarcode extends HiveObject {
  @HiveField(0)
  String code;

  HiveBarcode({
    required this.code,
  });

  Barcode toBarcode() => Barcode(
        code: code,
      );

  factory HiveBarcode.fromBarcode(Barcode barcode) => HiveBarcode(
        code: barcode.code,
      );
}
