import 'package:get_it/get_it.dart';
import 'package:scanfood/application/allergens/allergen_to_translation.dart';
import 'package:scanfood/domain/model/objects/product.dart';

mixin AllergensToString {
  List<String> allergensToString(List<Allergens> allergens) {
    final AllergenToTranslation allergenToTranslation = GetIt.I.get<AllergenToTranslation>();

    return allergens.map(allergenToTranslation.allergenToString).toList()..sort();
  }
}
